org.wildfly.swarm.config.management.security_realm.authorization

## Class UsernameFilterUsernameToDn<T extends UsernameFilterUsernameToDn<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.security_realm.authorization.UsernameFilterUsernameToDn<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class UsernameFilterUsernameToDn<T extends UsernameFilterUsernameToDn<T>>
      extends HashMap

  A simple filter configuration to identify the users distinguished name from their username.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UsernameFilterUsernameToDn.UsernameFilterUsernameToDnResources` Child mutators for UsernameFilterUsernameToDn

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsernameFilterUsernameToDn()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `attribute()` The attribute on the user entry that is their username.
    `T` | `attribute(String value)` The attribute on the user entry that is their username.
    `String` | `baseDn()` The starting point of the search for the user.
    `T` | `baseDn(String value)` The starting point of the search for the user.
    `T` | `byAccessTimeCache()` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCache value)` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCacheConsumer consumer)` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCacheSupplier supplier)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache()` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCache value)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCacheConsumer consumer)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCacheSupplier supplier)` A cache to hold the results of previous LDAP interactions.
    `Boolean` | `force()` Authentication may have already converted the username to a distinguished name, force this to occur again before loading groups.
    `T` | `force(Boolean value)` Authentication may have already converted the username to a distinguished name, force this to occur again before loading groups.
    `String` | `getKey()`
    `Boolean` | `recursive()` Should levels below the starting point be recursively searched?
    `T` | `recursive(Boolean value)` Should levels below the starting point be recursively searched?
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `UsernameFilterUsernameToDn.UsernameFilterUsernameToDnResources` | `subresources()`
    `String` | `userDnAttribute()` The attribute on the user entry that contains their distinguished name.
    `T` | `userDnAttribute(String value)` The attribute on the user entry that contains their distinguished name.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### UsernameFilterUsernameToDn

          public UsernameFilterUsernameToDn()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public UsernameFilterUsernameToDn.UsernameFilterUsernameToDnResources subresources()

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCache value)

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCacheConsumer consumer)

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache()

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCacheSupplier supplier)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCache value)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCacheConsumer consumer)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache()

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCacheSupplier supplier)

      A cache to hold the results of previous LDAP interactions.

    - #### attribute

          public String attribute()

      The attribute on the user entry that is their username.

    - #### attribute

          public T attribute(String value)

      The attribute on the user entry that is their username.

    - #### baseDn

          public String baseDn()

      The starting point of the search for the user.

    - #### baseDn

          public T baseDn(String value)

      The starting point of the search for the user.

    - #### force

          public Boolean force()

      Authentication may have already converted the username to a distinguished name, force this to occur again before loading groups.

    - #### force

          public T force(Boolean value)

      Authentication may have already converted the username to a distinguished name, force this to occur again before loading groups.

    - #### recursive

          public Boolean recursive()

      Should levels below the starting point be recursively searched?

    - #### recursive

          public T recursive(Boolean value)

      Should levels below the starting point be recursively searched?

    - #### userDnAttribute

          public String userDnAttribute()

      The attribute on the user entry that contains their distinguished name.

    - #### userDnAttribute

          public T userDnAttribute(String value)

      The attribute on the user entry that contains their distinguished name.

Copyright © 2017 JBoss by Red Hat. All rights reserved.